Subject: 28.0.50; json-pretty-print-buffer creates spurious lock file
From: Simen Heggestøyl <[email-masked]>
To: [email-masked]
Date: Thu, 29 Oct 2020 10:59:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Given a file named 'test.json' with the following content: {}

From 'emacs -Q', visit the file and call 'json-pretty-print-buffer'.

The buffer stays unchanged as expected since the pretty printed content
is identical to the original. The buffer is not marked as modified (also
expected), but a spurious lock file '.#test.json' has been created.